<div id="headline">{$headline1|T|headline1}</div>
<div class="content_data">
	{* Prelude list - category, search, producers *}
	<div class="prelude">
	{text key='list_prelude'}
	</div>
	{if $description_text}
	<div class="category-description">
		{image class="icon" size="middle" type="category" path=$category_icon.path image=$category_icon.file alt=$category_icon.description|escape}
		{$description_text}
		<div class="clear"></div>
	</div>
	{/if}

	{* One Level Up Navigation *}
	{if count($one_level_navigation) > 0}
		<div class="box_filter">
		<div class="legend-outside">{'label_category'|T}</div>
		<fieldset class="sub-category">
			{foreach from=$one_level_navigation item='item' }
				<a href="{$item.url}">{$item.name|escape}</a>
			{/foreach}
		</fieldset>
		</div>
	{/if}
	
	<br />
	<br />
	{* Goods iterator*}
	{if 0 == $goods.items_total && !$is_filter}
		<hr class="clear" />
		<div class="message">
			{'text_no_goods'|T}
		</div>
	{else}
		{* Filter Box *}
		{form from=$filter_form}
		<div class="box_filter">
			<div class="legend-outside">{'label_filter'|T}</div>
			<fieldset class="filter">
				{* Hidden element for search *}
				{$elements.q.element}
				{* Hidden element for view type *}
				{$elements.type.element}	
				{* Standart filter *}
				<div class="filter-box filters">
					<fieldset>
						<legend>{"label_type"|T}</legend>
						<div>
							{$elements.only_action.element} {$elements.only_action.label}
							{$elements.only_news.element} {$elements.only_news.label}
						</div>
					</fieldset>		
				</div>
				<br />
				{* Filter By Producer   *}
				{if ($show_producers_filter)}
				<div class="producer-box filters">
					<fieldset>
						<legend>{"label_producers"|T}</legend>
						<div>
						{if $count_producers_in_category}
							{$elements.producers.element}
						{else}
							{'text_no_producer_in_category'|T}
						{/if}
						</div>
					</fieldset>
				</div>
				<br />
				{/if}
				<div class="button">
					{$elements.filter_submit.element}
				</div>
			</fieldset>
		</div>	
			
			
		<br />
		<div class="clear"></div>
		{* Type of view list goods  - Image or Table  *}
		<div class="view-type">
			{foreach from=$view_types name='view_type' item='type'}
				<span class="{if $type == $view_type}active{/if}">
					{if $type == $view_type}
						{'label_view_'|cat:$type|T}&nbsp;&nbsp;
						<img src="{$web_path}/images/list_{$type}.jpg" alt="" align="middle" />
					{else}
						<a href="{url reset=false type=$type}"{if $type != "picture"} rel="nofollow"{/if}>{'label_view_'|cat:$type|T}</a>&nbsp;&nbsp;
						<img src="{$web_path}/images/list_{$type}_active.jpg" alt="" align="middle" />
					{/if}	
				</span>						
			{/foreach}
			<div class="clear"></div>
		</div>
		<div class="sort_filter_options">
			<strong>{$elements.sort_by.label}</strong> {$elements.sort_by.element}&nbsp;&nbsp;&nbsp;
			<strong>{$elements.items_per_page.label}</strong> {$elements.items_per_page.element}
		</div>
		{/form}
			
		<div class="clear"></div>
		<br />
		<hr class="line"/>
		<div class="view">
					
			{* Goods iterator*}
			{if 0 == $goods.items_total}
				<div class="message">
				{'text_no_goods_by_filter'|T}
				</div>
			{else}
				{* Top Paginator *}
				{*{paginator total=$goods.items_total page=$goods.actual_page count=$goods.items_per_page url=$paginator_url separator=" " nextText="&gt;" prevText="&lt;" firstText="&lt;&lt;" lastText="&gt;&gt;"}*}
				{if 'table' == $view_type}
				{* Table type view *}
				<table class="datagrid product-list-table">
					<thead>
						<tr>
							<th>{"label_code"|T}</th>	
							<th>{"label_name"|T}</th>	
							<th>{"label_producer"|T}</th>	
							<th>{"label_availability"|T}</th>	
							<th>{"label_price"|T}</th>	
							<th></th>	
						</tr>
					</thead>
					<tbody>
						{foreach from=$goods.data item='item' }
						<tr class="{cycle values="odd,even"}">
							<td class="code">{$item.code|escape}</td>
							<td class="name"><a href="{url name='goods' url=$item.url}">{$item.name|escape}</a></td>
							<td class="producer"><a href="{url name="producers" url=$item.producer_url}">{$item.producer|T|escape}</a></td>
							<td class="availability">{$item.availability|T|escape}</td>
							<td class="price">{if $item.price_vat != 0 || !$price_on_demand}{$item.price_vat|money}{else}{'label_price_on_demand'|T}{/if}</td>
							<td class="add-cart">
								{if $item.price_vat != 0 || !$price_on_demand}
								<form method="post" action="{url name='basket_add'}" onsubmit="return check_cookie()">
									<input type="hidden" name="goods_id" value="{$item.pid}" class="param" />
									<input type="hidden" name="param_id" value="{$item.parametr_id}" class="param" />
									<input type="hidden" name="count" value="1" class="param" />
									<div class="value"><button type="submit" name="add_cart" value="{"text_buy"|T}" class="to-cart" /></button></div>
								</form>	
								{/if}
							</td>
						</tr>
						{/foreach}
					</tbody>		
				</table>
				{else}
				{* Image type view *}
				
				{* debug *}
				<table class="product-list" cellspacing="13">
					<tr>
					{foreach from=$goods.data item='item' name="products" }
						<td class="product-box">
							<div class="name"><a href="{url name='goods' url=$item.url}">{$item.name|escape}</a></div>
							<div class="availability"><strong>{'text_availability'|T}</strong>: {$item.availability|T}</div>
							<div class="action_buttons">
								{if $item.in_action}
								<div class="action_banner">{"label_action_product"|T}</div>
								{/if}
								{if $item.is_news}
								<div class="news_banner">{"label_news_product"|T}</div>
								{/if}
							</div>
							<div class="image">
								<a href="{url name='goods' url=$item.url}">
									{if $item.img_file}
										{image size="middle" type="goods" path=$item.img_path image=$item.img_file alt=$item.name|escape}
									{else}
										<img src="{$web_path}/images/no_image_middle.png" alt="{'text_no_image'|T}" />
									{/if}
								</a>
							</div>
							<div class="text">{$item.short_text}</div>
							<div class="price">
								{* Add to cart  *}
								{if $item.price_vat != 0 || !$price_on_demand}
								<div class="add-cart">
									<form method="post" action="{url name='basket_add'}" onsubmit="return check_cookie()">
										<input type="hidden" name="goods_id" value="{$item.pid}" class="param" />
										<input type="hidden" name="param_id" value="{$item.parametr_id}" class="param" />
										<input type="hidden" name="count" value="1" class="param" />
										<div class="value"><button type="submit" name="add_cart" value="{"text_buy"|T}" class="to-cart" /></button></div>
									</form>	
								</div>
								{/if}
								{if $item.normal_price_vat}
								{*<span class="normal-price">{$item.normal_price_vat|money}</span><br />*}
								{/if}
								{if !$item.same_price}{'text_od'|T}:{/if}
								<span class="price">{if $item.price_vat != 0 || !$price_on_demand}{$item.price_vat|money}{else}{'label_price_on_demand'|T}{/if}</span><br />
								{if $g_shop_type != 4} {* Zobrazuje s jen pouze kdyz je shop s DPH *}
								{assign var='vat' value=$item.vat|percents}
								<div class="price-text">{if $item.vat != 0}{'text_with_vat_supplement'|T:$vat}{else}{'text_with_vat_supplement'|T:''}{/if}</div>
								{/if}
							</div>
						</td>
						{if (($smarty.foreach.products.iteration) % 3 == 0) && (!$smarty.foreach.products.last)}</tr><tr>{/if}	
					{/foreach}
					</tr>
				</table>
				{/if}
				<br />
				{* Bottom paginator *}
				{paginator  total=$goods.items_total page=$goods.actual_page count=$goods.items_per_page url=$paginator_url separator=" " nextText="&gt;" prevText="&lt;" firstText="&lt;&lt;" lastText="&gt;&gt;"}
			{/if}
		</div>
	{/if}
	<div class="clear"></div>
</div>	